Cl

## Files

file | cl.h
| OpenCL base routines.
file | cl_compat.h
| Handle OpenCL 1.1 <> 1.2 fallback and the related uglyness.

## Functions

int | fosphor_cl_init (struct fosphor *self)
void | fosphor_cl_release (struct fosphor *self)
int | fosphor_cl_process (struct fosphor *self, void *samples, int len)
int | fosphor_cl_finish (struct fosphor *self)
void | fosphor_cl_load_fft_window (struct fosphor *self, float *win)
int | fosphor_cl_get_waterfall_position (struct fosphor *self)
void | fosphor_cl_set_histogram_range (struct fosphor *self, float scale, float offset)

## Detailed Description

## Function Documentation

## fosphor_cl_finish()

int fosphor_cl_finish | ( | struct fosphor * | self | ) |

## fosphor_cl_get_waterfall_position()

int fosphor_cl_get_waterfall_position | ( | struct fosphor * | self | ) |

## fosphor_cl_init()

int fosphor_cl_init | ( | struct fosphor * | self | ) |

## fosphor_cl_load_fft_window()

void fosphor_cl_load_fft_window | ( | struct fosphor * | self,
|  | float * | win
| ) |  |

## fosphor_cl_process()

int fosphor_cl_process | ( | struct fosphor * | self,
|  | void * | samples,
|  | int | len
| ) |  |

## fosphor_cl_release()

void fosphor_cl_release | ( | struct fosphor * | self | ) |

## fosphor_cl_set_histogram_range()

void fosphor_cl_set_histogram_range | ( | struct fosphor * | self,
|  | float | scale,
|  | float | offset
| ) |  |